routes/web.php
<?php

use App\Http\Controllers\admin\UsersController;
use App\Http\Controllers\admin\DashboardController;
use App\Http\Controllers\AccountController;
use App\Http\Controllers\AlbumController;
use App\Http\Controllers\CondominiumController;
use App\Http\Controllers\ConstructionController;
use App\Http\Controllers\DependentsController;
use App\Http\Controllers\EmployeesCondController;
use App\Http\Controllers\EmployeesController;
use App\Http\Controllers\EventController;
use App\Http\Controllers\OccurrenceController;
use App\Http\Controllers\PetsController;
use App\Http\Controllers\PresenceController;
use App\Http\Controllers\RelaseController;
use App\Http\Controllers\ReservationController;
use App\Http\Controllers\RoomController;
use App\Http\Controllers\SurveyController;
use App\Http\Controllers\TopicController;
use App\Http\Controllers\VehiclesController;
use App\Http\Controllers\VisitorsController;
use App\Http\Controllers\VotesController;
use App\Http\Controllers\BranchController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\ConciergeController;
use App\Http\Controllers\ConfigurationsController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\MaintenanceController;
use App\Http\Controllers\MessagesController;
use App\Http\Controllers\NoteController;
use App\Http\Controllers\NotificationsController;
use App\Http\Controllers\PackageController;
use App\Http\Controllers\ProviderController;
use App\Http\Controllers\SubdivisionController;
use App\Http\Controllers\UpdatesController;
use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth'])->group(function () {  

    // ADMINISTRAÇÃO //

    Route::prefix('administracao')->middleware('access:admin')->group(function () {
        Route::name('admin.')->group(function () {
            
            Route::get('/', [DashboardController::class, 'index'])->name('index');

            // CONDOMNÍNIOS //

             Route::prefix('condominios')->group(function () {
                Route::name('condominiums.')->group(function () {
                    Route::get('/', [CondominiumController::class, 'index'])->name('index');
                    Route::get('/criar', [CondominiumController::class, 'create'])->name('create');
                    Route::post('/criar', [CondominiumController::class, 'store'])->name('store');
                    Route::get('/visualizando/{id}', [CondominiumController::class, 'show'])->name('show');
                    Route::get('/ver-condominio/{id}', [CondominiumController::class, 'session'])->name('session');
                    Route::get('/deletar/{id}', [CondominiumController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [CondominiumController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [CondominiumController::class, 'update'])->name('update');
                });
            });

            // CONDOMNÍNIOS //

            Route::prefix('subdivisoes')->group(function () {
                Route::name('subdivisions.')->group(function () {
                    Route::get('/', [SubdivisionController::class, 'index'])->name('index');
                    Route::get('/criar', [SubdivisionController::class, 'create'])->name('create');
                    Route::post('/criar', [SubdivisionController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [SubdivisionController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [SubdivisionController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [SubdivisionController::class, 'update'])->name('update');
                });
            });

            // USUÁRIOS //

            Route::prefix('usuarios')->group(function () {
                Route::name('users.')->group(function () {
                    Route::get('/', [UsersController::class, 'index'])->name('index');
                    Route::get('/veiculos', [VehiclesController::class, 'index'])->name('vehicle');
                    Route::get('/pets', [PetsController::class, 'index'])->name('pet');
                    Route::get('/funcionarios', [EmployeesController::class, 'index'])->name('employee');
                    Route::get('/visitantes', [VisitorsController::class, 'index'])->name('visitor');
                    Route::get('/moradores', [DependentsController::class, 'index'])->name('dependent');
                    Route::get('/visualizando/{id}', [UsersController::class, 'show'])->name('show');            
                    Route::get('/editar/{id}', [UsersController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}', [UsersController::class, 'update'])->name('update');
                    Route::get('/deletar/{id}', [UsersController::class, 'destroy'])->name('destroy');
                    Route::get('/atualizar-status/{id}/{status}', [UsersController::class, 'approve'])->name('approve');
                });
            });

            // NOTIFICATIONS

            Route::prefix('notificar')->group(function () {
                Route::name('notifications.')->group(function () {
                    Route::get('/', [NotificationsController::class, 'index'])->name('index');
                    Route::get('/criar/{id}', [NotificationsController::class, 'create'])->name('create');
                    Route::post('/criar/{id}', [NotificationsController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [NotificationsController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [NotificationsController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [NotificationsController::class, 'update'])->name('update');
                });
            });

            // CONCIERGE //

            Route::prefix('portarias')->group(function () {
                Route::name('concierges.')->group(function () {
                    Route::get('/', [ConciergeController::class, 'index'])->name('index');
                    Route::get('/criar', [ConciergeController::class, 'create'])->name('create');
                    Route::post('/criar', [ConciergeController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [ConciergeController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [ConciergeController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [ConciergeController::class, 'update'])->name('update');
                });
            });

            // CONFIGURATIONS

            Route::prefix('configuracoes')->group(function () {
                Route::name('configurations.')->group(function () {
                    Route::get('/', [ConfigurationsController::class, 'index'])->name('index');
                    Route::post('/criar', [ConfigurationsController::class, 'store'])->name('store');
                    Route::get('/deletar', [ConfigurationsController::class, 'destroy'])->name('destroy');
                    Route::put('/editar', [ConfigurationsController::class, 'update'])->name('update');
                });
            });

        });
    });
    
    // PÁGINA INICIAL //

    Route::get('/', [AccountController::class, 'feed'])->name('feed');
    Route::get('/ficha-tecnica', [UsersController::class, 'condominium'])->name('condominium');
    Route::get('/atualizacoes', [UpdatesController::class, 'updates'])->name('updates');

    // MINHA CONTA //
    
    Route::prefix('minha-conta')->group(function () {
        Route::name('account.')->group(function () {
            Route::get('/', [AccountController::class, 'index'])->name('index');
            Route::get('/editar', [AccountController::class, 'edit'])->name('edit');
            Route::put('/editar', [AccountController::class, 'update'])->name('update');
            Route::put('/contatos', [AccountController::class, 'contacts'])->name('contacts');
            Route::delete('/deletar', [AccountController::class, 'destroy'])->name('destroy');
            Route::get('/publicacoes', [AccountController::class, 'approval'])->name('approval');
            Route::name('see.')->group(function () {
                Route::get('/buscar-veiculo/{id}/', [VehiclesController::class, 'show'])->name('vehicles');
                Route::get('/buscar-pet/{id}/', [PetsController::class, 'show'])->name('pets');
                Route::get('/buscar-funcionario/{id}/', [EmployeesController::class, 'show'])->name('employees');
                Route::get('/buscar-visitante/{id}/', [VisitorsController::class, 'show'])->name('visitors');
                Route::get('/buscar-morador/{id}/', [DependentsController::class, 'show'])->name('dependents');
            });
            Route::name('add.')->group(function () {
                Route::get('/adicionar-veiculo/{id}/', [VehiclesController::class, 'create'])->name('vehicles');
                Route::post('/adicionar-veiculo/{id}/', [VehiclesController::class, 'store'])->name('store.vehicles');
                Route::get('/adicionar-pet/{id}/', [PetsController::class, 'create'])->name('pets');
                Route::post('/adicionar-pet/{id}/', [PetsController::class, 'store'])->name('store.pets');
                Route::get('/adicionar-funcionario/{id}/', [EmployeesController::class, 'create'])->name('employees');
                Route::post('/adicionar-funcionario/{id}/', [EmployeesController::class, 'store'])->name('store.employees');

app/Models/Subdivision.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subdivision extends Model
{
    use HasFactory;
    protected $fillable = ['condominium', 'user', 'name'];

    public function cond()
    {
        return $this->hasOne(Condominium::class, 'id', 'condominium');
    }
    
}

app/Http/Controllers/SubdivisionController.php
<?php

namespace App\Http\Controllers;

use App\Models\Subdivision;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class SubdivisionController extends Controller
{
    
    protected $request;
    private $repository;
    
    public function __construct(Request $request, Subdivision $content)
    {
        
        $this->request = $request;
        $this->repository = $content;

    }


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        // GET ALL DATA
         if(Auth::user()->role == 'morador' || session('sessionCondominium')){
            $contents = Subdivision::where('condominium', session('sessionCondominium') ?? Auth::user()->condominium);
        } else {
            $contents = Subdivision::where('condominium', true);
        }

        // PAGINATE
        $contents =  $contents->get();

        // RETURN VIEW WITH DATA
        return view('pages.admin.subdivision.index', [
            'contents' => $contents,
        ]);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

       // CHECK IF YOU ARE IN A CONDOMINIUM AND ARE AN ADMINISTRATOR
        if(Auth::user()->role == 'administrador' && !session('sessionCondominium') || Auth::user()->role != 'administrador'){
            return redirect()
                ->route('admin.condominiums.index')
                ->with('message', 'Selecione um condomínio.');
        }

        // RETURN VIEW
        return view('pages.admin.subdivision.create');
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        

        // GET FORM DATA

        $data = $request->all();

        // STORING NEW DATA 
        
        $data['condominium'] = session('sessionCondominium');
        $data['user'] = Auth::user()->id;
        $this->repository->create($data);

        // REDIRECT AND MESSAGES

        return redirect()
                ->route('admin.subdivisions.index')
                ->with('message', 'Subdivisão criada com sucesso.');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */ 
    public function show($id)
    {

        // VERIFY IF EXISTS

        if(!$content = $this->repository->find($id))
            return redirect()->back();

        // RETURN VIEW WITH DATA
        return view('pages.admin.subdivision.show', [
            'content' => $content,
        ]);

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {

        // VERIFY IF EXISTS

        if(!$content = $this->repository->find($id))
        return redirect()->back();

        // RETURN VIEW WITH DATA
        return view('pages.admin.subdivision.edit', [
            'content' => $content,
        ]);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
    */
    public function update(Request $request, $id)
    {

        // VERIFY IF EXISTS

        if(!$content = $this->repository->find($id))
        return redirect()->back();

        // GET FORM DATA

        $data = $request->all();

        // STORING NEW DATA
        $content->update($data);

        // REDIRECT AND MESSAGES

        return redirect()
        ->route('subdivisions.edit', $id)
        ->with('message', 'Subdivisão atualizada com sucesso.');
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {

        // VERIFY IF EXISTS

        if(!$content = $this->repository->find($id))
        return redirect()->back();

        // DELETE DATA 

        $content->delete();

        // REDIRECT AND MESSAGES

        return redirect()
                ->route('subdivisions.index')
                ->with('message', 'Subdivisão deletada com sucesso.');

    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
    */
    public function load($condominium)
    {

        // GET ALL DATA

        $contents = Subdivision::all()->where('condominium', $condominium);

        // RETURN VIEW WITH DATA
        return view('pages.admin.subdivision.list', [
            'contents' => $contents,
        ]);

    }

}

resources/views/pages/admin/subdivision/create.blade.php
@extends('layouts.app')

@section('title', 'Adicionar subdivisão')

@section('custom-head')
   
@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0" id="kt_content">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card p-5">

                <div class="card-body">

                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Adicionar nova subdivisão</h1>

                        
                        
                        <!-- end::Title -->
                    </div>
                    <!--end::Heading-->

                    <form action="{{ route('admin.subdivisions.store') }}" class="form" method="post" enctype="multipart/form-data">
                
                       @include('pages._forms.subdivision')

                        <!--begin::Actions-->
                        <div class="text-center">
                            <a href="{{ route('admin.subdivisions.index') }}">
                                <label class="btn btn-light me-3 mb-0">Voltar</label>
                            </a>
                            <button type="submit" class="btn btn-primary">
                                <span class="indicator-label" >Adicionar subdivisão</span>
                            </button>
                        </div>
                        <!--end::Actions-->

                    </form>
                    
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/admin/subdivision/edit.blade.php
@extends('layouts.app')

@section('title', 'Editar subdivisão')

@section('custom-head')

@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card p-5">

                <div class="card-body">

                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Editar subdivisão: {{ $content->title }}</h1>
                        <!--end::Title-->
                    </div>
                    <!--end::Heading-->

                    <form action="{{ route('admin.subdivisions.update', $content->id) }}" class="form" method="post" enctype="multipart/form-data">
                
                        @method('PUT')
                        @include('pages._forms.subdivision')

                        <!--begin::Actions-->
                        <div class="text-center">
                            <a href="{{ route('admin.subdivisions.index') }}">
                                <label class="btn btn-light me-3 mb-0">Voltar</label>
                            </a>
                            <button type="submit" class="btn btn-primary">
                                <span class="indicator-label" >Editar subdivisão</span>
                            </button>
                        </div>
                        <!--end::Actions-->

                    </form>
                    
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/admin/subdivision/index.blade.php
@extends('layouts.app')

@section('title', 'Condomínios')

@section('custom-head')
    <!--begin::Page Vendor Stylesheets(used by this page)-->
    <link href={{asset('assets/plugins/custom/datatables/datatables.bundle.css')}} rel="stylesheet" type="text/css" />
    <!--end::Page Vendor Stylesheets-->
@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card">

                <div class="card-body">

                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Subdivisões</h1>
                        <!--end::Title-->
                        
                    </div>
                    <!--end::Heading-->

                    <table id="datatable_default" class="table table-striped table-row-bordered gy-5 gs-7 border rounded">
                        <thead>
                            <tr class="fw-bolder fs-6 text-gray-800 px-7">
                                <th>ID</th>
                                <th>Nome</th>
                                <th>Condomínio</th>
                                <th>Data</th>
                                <th>Modificado</th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($contents as $content)
                                <tr>
                                    <td>{{ $content->id }}</td>
                                    <td>{{ $content->name }}</td>
                                    <td>{{ $content->cond()->first()->name }}</td>
                                    <td>{{ $content->created_at->format('d/m/Y H:i') }}</td>
                                    <td>{{ $content->updated_at->format('d/m/Y H:i') }}</td>
                                    <td>
                                        <a href="{{ route('admin.subdivisions.edit', $content->id) }}"><i class="fas fa-pencil-alt" title="Editar"></i></a>
                                        <a href="{{ route('admin.subdivisions.destroy', $content->id) }}"><i class="fas fa-trash" title="Visualizar"></i></a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            @if(session('sessionCondominium'))
            <a href="{{ route('admin.subdivisions.create') }}">
                <button type="submit" class="btn btn-primary w-auto">
                    <span class="indicator-label" >Criar nova subdivisão</span>
                </button>
            </a>
            @endif
        </div>
    </div>
</div>


@endsection

@section('custom-js')
    @include('layouts.tables')
@endsection

resources/views/pages/admin/subdivision/list.blade.php
@if(count($contents) > 0)
@foreach($contents as $content)
<option value="{{ $content->id }}">{{ $content->name }}</option>
@endforeach
@else
<option value="0">Seu condomínio não possui subdivisões</option>
@endif